window.onload = function fncOnLoad(){
	try{
		
		//***********************************************
		// Print処理
		//***********************************************
		if(document.location.search.indexOf("?print=yes") != -1){
			try{
				var objLink = document.getElementsByTagName("link");
				for(var i = 0; i < objLink.length; i++){
					if(objLink[i].title){
						if(objLink[i].title == "screen"){
							objLink[i].disabled = true;
						}
						if(objLink[i].title == "print"){
							objLink[i].disabled = false;
						}
					}
				}
			}catch(e){
			}
			window.close();
		}

		// JSONからデータを取得
		var e = eval(toc);
		var g = eval(gnavi);
		var s = eval(start);

		// 変数定義
		var strBreadCrumbsTocIds	= "";
		var arrBreadCrumbsTocIds	= "";
		var strCurrentTocId			= "";
		var strOnloadChapter		= "";
		var strOnloadCategory		= "";
		var strChapterHtml			= "";
		var strModuleHtml			= "";
		var strList					= "";
		var strLastSpan				= "";
		var AddCount				= 0;
		var strCurrentModuleTitle	= document.getElementById("id_level_1").innerHTML;

		// [-]アイコンをdisabledにする
		document.getElementById("id_closs_all").src = "../frame_images/l-10.gif";
		//***********************************************
		// 「ホーム」「サイトマップ」表示処理
		//***********************************************
		
		for(var i = 0; i < s.length; i++){
			if(s[i].type == "header"){
				for(var j = 0; j < s[i].child.length; j++){
					var objButton = document.createElement("button");
					objButton.innerHTML = s[i].child[j].title;
					objButton.className = "normal";
					objButton.href = s[i].child[j].href;
					objButton.onmouseover = function(){
						this.className = "over";
					}
					objButton.onmouseout = function(){
						this.className = "normal";
					}
					objButton.onclick = function(){
						document.location.href(this.href);
					}

					if(document.getElementById("id_header_buttons")){
						document.getElementById("id_header_buttons").appendChild(objButton);
					}

				}
			}
		}
		
		//***********************************************
		// 現在地情報
		//***********************************************
		if(document.getElementById("id_breadcrumbs")){
			for(var i = 0; i < document.getElementById("id_breadcrumbs").getElementsByTagName("a").length; i++){
				if(document.getElementById("id_breadcrumbs").getElementsByTagName("a")[i].getAttribute("toc_id")){
					strBreadCrumbsTocIds += "," + document.getElementById("id_breadcrumbs").getElementsByTagName("a")[i].getAttribute("toc_id");
					strCurrentTocId = document.getElementById("id_breadcrumbs").getElementsByTagName("a")[i].getAttribute("toc_id");
				}
			}
		}
		
		//***********************************************
		// Category,Chapter情報を取得
		//***********************************************
		
		// OnLoadチャプターを取得
		for(var n = 1; n < strBreadCrumbsTocIds.split(",").length; n++){
			
			for(var k = 0; k < e.length; k++){
				
				if(e[k].id == strBreadCrumbsTocIds.split(",")[1]){
					strOnloadChapter = e[k].chapter;
					break;
				}
			}
		}

		//***********************************************
		// OnLoadCateGoryを取得
		//***********************************************
		
		for(var n = 0; n < g.length; n++){

			var objCategoryButton = document.createElement("button");
			objCategoryButton.innerHTML = g[n].name;
			objCategoryButton.className = "normal";
			objCategoryButton.id = g[n].type;

			//***********************************************
			// カテゴリのOnLoad処理
			//***********************************************
			for(var k = 0; k < g[n].child.length; k++){
				if(g[n].child[k].id == strOnloadChapter){
					objCategoryButton.className = "selected";
					strOnloadCategory = g[n].type;
					break;
				}
			}

			objCategoryButton.onmouseover = function(){
				if(this.className != "selected"){
					this.className = "over";
				}
			}

			objCategoryButton.onmouseout = function(){
				if(this.className != "selected"){
					this.className = "normal";
				}
			}

			//***********************************************
			// ★カテゴリの選択処理
			//***********************************************
			objCategoryButton.onclick = function(){
				
				// 言語に依存しないため
				//if(this.innerText == "技術説明編"){
				if(this.id == "category001"){
					for(var k = 0; k < e.length; k++){
						if(e[k].chapter == g[0].child[0].id && e[k].href != ''){
							location.href = e[k].href;
							break;
						}
					}
				//}else if(this.innerText == "サービス編"){
				}else if(this.id == "category002"){
					for(var k = 0; k < e.length; k++){
						if(e[k].chapter == g[1].child[0].id && e[k].href != ''){
							location.href = e[k].href;
							break;
						}
					}
				//}else if(this.innerText == "付録"){
				}else if(this.id == "category003"){
					for(var k = 0; k < e.length; k++){
						if(e[k].chapter == g[2].child[0].id && e[k].href != ''){
							location.href = e[k].href;
							break;
						}
					}
				}
			}

			if(document.getElementById("id_category_show")){
				document.getElementById("id_category_show").appendChild(objCategoryButton);
			}
		}
		
		//***********************************************
		// Chapter描画処理
		//***********************************************

		if(strOnloadCategory == "category001"){

			for(var j = 0; j < g[0].child.length; j++){

				// 最後のチャプターのBorder-Right:None処理
//				if(j == g[0].child.length-1){
//					strLastSpan = "style='border-right:None'";
//				}

				//チャプター以下にモジュールが存在しない場合のonclick、mouseoverイベントの無効化
				//toc.json内のchapterを見てhrefをチェックする
				var strEventElement = "";
				var strClass = "disable";
				for(var z = 0; z < e.length; z++){
					if(e[z].chapter == g[0].child[j].id){
						if(e[z].href != ""){
							strEventElement = " onclick='fncOnclick(this)' onmouseover='fncMouseOverSpan(this)' onmouseout='fncMouseOutSpan(this)'";
							strClass = "normal";
						//}else{
						//	strEventElement = "";
						//	strClass = "disable";
						}
						//break;
					}
				}

				// 選択されたチャプター
				if(strOnloadChapter == g[0].child[j].id){
					strChapterHtml = strChapterHtml + "<span class='selected' " + strLastSpan + strEventElement + ">" + g[0].child[j].id + "</span>";

				// 選択されていないチャプター
				}else{
					strChapterHtml = strChapterHtml + "<span class='normal' " + strLastSpan + " onclick='fncOnclick(this)' onmouseover='fncMouseOverSpan(this)' onmouseout='fncMouseOutSpan(this)'>" + g[0].child[j].id + "</span>";
				}
			}
		
		}else if(strOnloadCategory == "category002"){
			
			for(var j = 0; j < g[1].child.length; j++){

				// 最後のチャプターのBorder-Right:None処理
//				if(j == g[1].child.length-1){
//					strLastSpan = "style='border-right:None'";
//				}

				//チャプター以下にモジュールが存在しない場合のonclick、mouseoverイベントの無効化
				//toc.json内のchapterを見てhrefをチェックする
				var strEventElement = "";
				var strClass = "disable";
				for(var z = 0; z < e.length; z++){
					if(e[z].chapter == g[1].child[j].id){
						if(e[z].href != ""){
							strEventElement = " onclick='fncOnclick(this)' onmouseover='fncMouseOverSpan(this)' onmouseout='fncMouseOutSpan(this)'";
							strClass = "normal";
						//}else{
						//	strEventElement = "";
						//	strClass = "disable";
						}
						//break;
					}
				}

				// 選択されたチャプター
				if(strOnloadChapter == g[1].child[j].id){
					strChapterHtml = strChapterHtml + "<span class='selected' " + strLastSpan + strEventElement + ">" + g[1].child[j].id + "</span>";

				// 選択されていないチャプター
				}else{
					strChapterHtml = strChapterHtml + "<span class='" + strClass + "' " + strLastSpan + strEventElement + ">" + g[1].child[j].id + "</span>";
				}
			}

		}else if(strOnloadCategory == "category003"){
			
			for(var j = 0; j < g[2].child.length; j++){

				// 最後のチャプターのBorder-Right:None処理
//				if(j == g[2].child.length-1){
//					strLastSpan = "style='border-right:None'";
//				}

				//チャプター以下にモジュールが存在しない場合のonclick、mouseoverイベントの無効化
				//toc.json内のchapterを見てhrefをチェックする
				var strEventElement = "";
				var strClass = "disable";
				for(var z = 0; z < e.length; z++){
					if(e[z].chapter == g[2].child[j].id){
						if(e[z].href != ""){
							strEventElement = " onclick='fncOnclick(this)' onmouseover='fncMouseOverSpan(this)' onmouseout='fncMouseOutSpan(this)'";
							strClass = "normal";
						//}else{
						//	strEventElement = "";
						//	strClass = "disable";
						}
						//break;
					}
				}

				// 選択されたチャプター
				if(strOnloadChapter == g[2].child[j].id){
					strChapterHtml = strChapterHtml + "<span class='selected' " + strLastSpan + strEventElement + ">" + g[2].child[j].id + "</span>";

				// 選択されていないチャプター
				}else{
					strChapterHtml = strChapterHtml + "<span class='" + strClass + "' " + strLastSpan + strEventElement + ">" + g[2].child[j].id + "</span>";
				}
			}
		}
	
		if(document.getElementById("id_chapter_show")){
			document.getElementById("id_chapter_show").innerHTML = strChapterHtml;
		}

		//***********************************************
		// Module描画処理
		// '09.06.19 モジュールの階層が6階層まで指定されていても対応できるように、CAESARのe-Manualからソースコードを流用
		//***********************************************
		if(document.getElementById("id_toc")){
			var iHideLevel = 999;
			for(var i = 0; i < e.length; i++){
				if(e[i].chapter != strOnloadChapter){
					continue;
				}
				var objDiv = document.createElement("Div");
				objDiv.className = "level_0" + e[i].level;
				objDiv.id = e[i].id;
				if (iHideLevel < e[i].level) {
					objDiv.style.display = "None";
				} else {
					objDiv.style.display = "Block";
					iHideLevel = 999;
				}

				// [+][-][ ]
				var objSign = document.createElement("img");

				// 子トピックあり
				if	(	(e[i + 1])
					&&	(e[i + 1].level > e[i].level)
					)
				{

					// [+][-]リンク要素の作成
					var objAnchorSign = document.createElement("a");

					// パンくず上に存在→展開
					if (strBreadCrumbsTocIds.indexOf(e[i].id) != -1) {
						objSign.src = "../frame_images/l-3.gif";
						objSign.style.cursor = "hand";

					// 折り畳み表示
					} else {
						objSign.src = "../frame_images/l-4.gif";
						objSign.style.cursor = "hand";

						// 現在のレベル以降を非表示にする
						if (iHideLevel == 999) {
							iHideLevel = e[i].level;
						}
					}

					// [+][-]クリック時処理の定義
					//objAnchorSign.onclick = "fncOnclick(this)";
					//objAnchorSign.onclick = function(){fncOnclick(this);};
					objAnchorSign.onclick = fncSwitchTocWrapper;
					objAnchorSign.href = "#";
					objAnchorSign.className = "sign";

					// [+][-]リンク要素に[+][-]マークを挿入
					objAnchorSign.appendChild(objSign);

					// 目次項目に[+][-]リンク要素を挿入
					objDiv.appendChild(objAnchorSign);

				// 子トピックなし
				} else {
					objSign.src = "../frame_images/l-1.gif";
					objDiv.appendChild(objSign);
				}

				// トピックにHTMLが存在する場合
				if (e[i].href) {

					// HTMLへのリンク要素を作成
					var objAnchor = document.createElement("a");
					objAnchor.href = "../contents/" + e[i].href;
					objAnchor.target = "_self";
					var objSpan = document.createElement("span");
					objSpan.className = "content";
					objSpan.title = e[i].node_name;
					objSpan.innerHTML = h(e[i].node_name);
					objAnchor.appendChild(objSpan);
/*
					// 現在表示中のトピック
					if (strCurrentTocId == e[i].id) {
						objAnchor.className = "current";
					}
*/
					// 目次項目にHTMLへのリンク要素を挿入（[+][-]の後ろ）
					objDiv.appendChild(objAnchor);

				// 階層だけのノードの場合
				} else {
					var objSpan = document.createElement("span");
					objSpan.className = "contentnoref";
					objSpan.title = e[i].node_name;
					objSpan.innerHTML = h(e[i].node_name);
					objSpan.ondblclick = function(){fncSwitchToc(this.parentNode.childNodes[0]);};
					objDiv.appendChild(objSpan);
				}

				// 目次項目をドキュメントに挿入
				document.getElementById("id_toc").appendChild(objDiv);
			}
		}
		
		//***********************************************
		// Moduleを選択時の処理
		//***********************************************
		if(strBreadCrumbsTocIds){
			arrBreadCrumbsTocIds = strBreadCrumbsTocIds.split(",");
			if(document.getElementById(strCurrentTocId)){
				document.getElementById(strCurrentTocId).childNodes[1].className = "clicked";
			}
		}

		//***********************************************
		// [+][-]Disabled処理
		//***********************************************
		for(var k=0; k<document.getElementById("id_toc").all.tags("div").length; k++){
			if(document.getElementById("id_toc").all.tags("div")[k].style.display == "block"){
				AddCount = AddCount + 1;
			}
		}

		if(AddCount == k){
			document.getElementById("id_show_all").src = "../frame_images/l-9.gif";
		}


		//***********************************************
		// category単位プリント処理
		//***********************************************
		for(var k = 0; k < document.getElementById("id_chapter_show").childNodes.length; k++){
			if(document.getElementById("id_chapter_show").childNodes[k].className == "selected"){
				var strCurrentChapterTitle = document.getElementById("id_chapter_show").childNodes[k].innerText;
			}
		}

		if(document.all){
			document.getElementById("chapter_print").onclick = function(){
				window.open("../contents/print_category.htm?chapter=" + strCurrentChapterTitle);
			}
		}else{
			document.getElementById("chapter_print").style.display = "None";
		}
		
		//***********************************************
		// プリント処理
		//***********************************************
		if(document.location.search.indexOf("?print=yes") != -1){
			window.print();
			window.close();
		}

		var r = eval(resource);
		for(var i = 0; i < r.length; i++){
			if(document.getElementById("id_res_" + r[i].id)){
				document.getElementById("id_res_" + r[i].id).innerHTML = r[i].value;
			}
		}

		//***********************************************
		// MouseOver処理
		//***********************************************
		
		// 「検索」入力フォーム
		document.getElementById("id_search").onmouseover = function(){
			this.style.backgroundImage = "Url(\"../frame_images/header_search_background_over.gif\")";
		}
		document.getElementById("id_search").onmouseout = function(){
			this.style.backgroundImage = "Url(\"../frame_images/header_search_background_out.gif\")";
		}

		// 「プリント」ボタン
		document.getElementById("chapter_print").onmouseover = function(){
			this.style.color = "#CC0000";
		}
		document.getElementById("chapter_print").onmouseout = function(){
			this.style.color = "#808080";
		}
		document.getElementById("module_print").onmouseover = function(){
			this.style.color = "#CC0000";
		}
		document.getElementById("module_print").onmouseout = function(){
			this.style.color = "#808080";
		}

		fncOnResize();

		// IEの場合リンクアンカーまでスクロールしないので、自前でアンカー位置にスクロール
		if (document.all) {
			if (document.location.hash != "") {
				var strHash = document.location.hash.substring(1);
				if (document.getElementById(strHash)) {
					document.getElementById(strHash).scrollIntoView(true);
				}
			}
		}
		/*
		if (document.all) {
			if (document.location.hash != "") {
				var strHash = document.location.hash.substring(1);
				if (document.all.item(strHash)) {
					document.all.item(strHash).scrollIntoView(true);
				}
			}
			if(document.cookie != ""){
				var arrCookie=document.cookie.split(",");
				if((arrCookie.length > 1) && (arrCookie[0] != "")){
					var strAnchorOffsetY = arrCookie[0];
					alert("strAnchorOffsetY=" + strAnchorOffsetY);
					scrollTo(0, strAnchorOffsetY);
					document.getElementById("id_contents_show").scrollTop = strAnchorOffsetY;
					arrCookie.shift();
					document.cookie = arrCookie.toString();
					alert("document.cookie=" + document.cookie);
				}
			}
			var strAnchorOffsetY = "";
			if(document.cookie != ""){
				alert("0:document.cookie=" + document.cookie);
				var arrCookie=document.cookie.split(",");
				alert("0:arrCookie.length=" + arrCookie.length + ":arrCookie[0]=" + arrCookie[0]);
				if(arrCookie.length > 0){
					strAnchorOffsetY = arrCookie[0];
					alert("strAnchorOffsetY=" + strAnchorOffsetY);
					if(arrCookie.length == 2){
						alert("a");
						document.cookie = strAnchorOffsetY;
					}else{
						arrCookie.shift();
						alert("1:arrCookie.length=" + arrCookie.length);
						if(arrCookie.length > 0){
							alert("b");
							document.cookie = arrCookie.toString();
						}else{
							alert("c");
							document.cookie = "";
						}
					}
					alert("1:document.cookie=" + document.cookie);
				}
			}
			if (document.location.hash != "") {
				var strHash = document.location.hash.substring(1);
				if (document.all.item(strHash)) {
					document.all.item(strHash).scrollIntoView(true);
				}
			}else if(strAnchorOffsetY != ""){
				scrollTo(0, strAnchorOffsetY);
				document.getElementById("id_contents_show").scrollTop = strAnchorOffsetY;
			}
		}

		//<a>タグのonclickイベント
		document.getElementById("id_contents_show").attachEvent("onclick", fncAnchorClick);
		*/

// 09.11.25 ADD アニメーション・VIDEO対応
		// ドキュメント内の画像ファイル置換
		fncReplaceObject(r);
// 09.11.25 END

	}catch(e){
		if(e.description){
			alert(e.description);
		}else{
			alert(e);
		}
	}
}
/*
function fncAnchorClick(){
	try{
		if((event.srcElement.nodeName.toLowerCase() == "a") && (event.srcElement.href)){
			document.cookie = document.getElementById("id_contents_show").scrollTop + "," + document.cookie;
			alert(document.cookie);
		}
	}catch(e){
		if(e.description){
			alert(e.description);
		}else{
			alert(e);
		}
	}
}
*/
window.onresize = fncOnResize;
function fncOnResize(){
	try{

		var obj = window;
		if(window.opera){
			var w = obj.innerWidth;
			var h = obj.innerHeight;
		}else if(document.all){
			var w = obj.document.body.clientWidth;
			var h = obj.document.body.clientHeight;
		}else if(document.getElementById){
			var w = obj.innerWidth;
			var h = obj.innerHeight;
		}
		if(document.location.search.indexOf("?print=yes") == -1){
			document.getElementById("id_left").style.height = h - 72 + "px";
			document.getElementById("id_content").style.height = h - 72 + "px";
			document.getElementById("id_content").style.width = w - 300 + "px";
		}
	}catch(e){
	}
}
window.onbeforeprint = function fncResizeForPrint(){
	try{
		if(document.getElementById("id_content")){
			document.getElementById("id_content").style.width = "100%";
		}
	}catch(e){
	}
}
window.onafterprint = function fncResizeForScreen(){
	try{
		var obj = window;
		if(window.opera){
			var w = obj.innerWidth;
			var h = obj.innerHeight;
		}else if(document.all){
			var w = obj.document.body.clientWidth;
			var h = obj.document.body.clientHeight;
		}else if(document.getElementById){
			var w = obj.innerWidth;
			var h = obj.innerHeight;
		}
		
		if(document.getElementById("id_content")){
			document.getElementById("id_content").style.height = h - 72 + "px";
			document.getElementById("id_content").style.width = w - 300 + "px";
		}
	}catch(e){
	}
}


function fncOnclick(eSrc){
	try{

		// JSONからデータを取得
		var e = eval(toc);
		var g = eval(gnavi);

		//***********************************************
		// チャプターの選択処理
		//***********************************************
		if((eSrc.nodeName.toLowerCase() == "span") && (eSrc.className.toLowerCase() == "over")){

			for(var k = 0; k < e.length; k++){
				if((e[k].chapter == eSrc.innerText) && (e[k].href)){
					
					// 選択したチャプターに属する最初のモジュールに飛ぶ
					location.href = e[k].href;
					break;
				}
			}
		}
	}catch(e){
		if(e.description){
			alert(e.description);
		}else{
			alert(e);
		}
	}
}

// [+]押した場合
function fncShowAll(){
	if(document.getElementById("id_show_all").src.indexOf("l-9") == "-1"){
		for(var i=0; i<document.getElementById("id_toc").all.tags("div").length; i++){
			if((document.getElementById("id_toc").all.tags("div")[i].childNodes[0].nodeName.toLowerCase() == "a") && (document.getElementById("id_toc").all.tags("div")[i].childNodes[0].childNodes[0].nodeName.toLowerCase() == "img")){
					document.getElementById("id_toc").all.tags("div")[i].childNodes[0].childNodes[0].src = "../frame_images/l-3.gif";
			}

			if((document.getElementById("id_toc").all.tags("div")[i].className == "level_02")||(document.getElementById("id_toc").all.tags("div")[i].className == "level_03")||(document.getElementById("id_toc").all.tags("div")[i].className == "level_04")||(document.getElementById("id_toc").all.tags("div")[i].className == "level_05")){
				document.getElementById("id_toc").all.tags("div")[i].style.display = "Block";
			}
			
		}
		document.getElementById("id_show_all").src = "../frame_images/l-9.gif";
		document.getElementById("id_closs_all").src = "../frame_images/l-8.gif";
	}
}

// [-]押した場合
function fncClossAll(){
	if(document.getElementById("id_closs_all").src.indexOf("l-10") == "-1"){
		for(var i=0; i<document.getElementById("id_toc").all.tags("div").length; i++){
			if((document.getElementById("id_toc").all.tags("div")[i].className == "level_02")||(document.getElementById("id_toc").all.tags("div")[i].className == "level_03")||(document.getElementById("id_toc").all.tags("div")[i].className == "level_04")||(document.getElementById("id_toc").all.tags("div")[i].className == "level_05")){
				document.getElementById("id_toc").all.tags("div")[i].style.display = "None";
			}

			if((document.getElementById("id_toc").all.tags("div")[i].childNodes[0].nodeName.toLowerCase() == "a") && (document.getElementById("id_toc").all.tags("div")[i].childNodes[0].childNodes[0].nodeName.toLowerCase() == "img")){
				document.getElementById("id_toc").all.tags("div")[i].childNodes[0].childNodes[0].src = "../frame_images/l-4.gif";
			}
		}
		document.getElementById("id_show_all").src = "../frame_images/l-7.gif";
		document.getElementById("id_closs_all").src = "../frame_images/l-10.gif";
	}
}

function fncMouseOverSpan(eSrc){
	if(eSrc.className != "selected"){
		eSrc.className = "over";
	}
}

function fncMouseOutSpan(eSrc){
	if(eSrc.className != "selected"){
		eSrc.className = "normal";
	}
}

function fncPrintAll(){
	window.open("../contents/print_category.htm?chapter=" + strCurrentChapterTitle);
}

// カテゴリー目次[+][-]開閉処理
function fncSwitchTocWrapper(){
	fncSwitchToc(this);
}
function fncSwitchToc(eSrc){
	try{
		var iTargetLevel = 999; // 初期値
		var strDisplay = "";

		// [-] -> [+]
		if (eSrc.childNodes[0].src.lastIndexOf("l-3") != -1) {
			eSrc.childNodes[0].src = "../frame_images/l-4.gif";
			strDisplay = "None";

		// [+] -> [-]
		} else if(eSrc.childNodes[0].src.lastIndexOf("l-4") != -1) {
			eSrc.childNodes[0].src = "../frame_images/l-3.gif";
			strDisplay = "Block";
		}

		// 目次項目ループ
		var objHns = document.getElementById("id_toc").childNodes;
		var nHnLength = objHns.length;
		for (var i = 0; i < nHnLength; i++) {

			// 表示切替開始位置を探索
			if (document.getElementById("id_toc").childNodes[i] === eSrc.parentNode) {

				// 処理対象レベルを取得（クリックされた[+][-]がh2ならば、表示切替対象はh3）
				//iTargetLevel = parseInt(eSrc.parentNode.nodeName.substring(1)) + 1;
				iTargetLevel = parseInt(eSrc.parentNode.className.substring(eSrc.parentNode.className.length -1)) + 1;
				continue;
			}

			// [-] -> [+]がクリックされた場合、下階層すべてを非表示にする
			if (strDisplay == "None") {
				if (parseInt(objHns[i].className.substring(objHns[i].className.length -1)) >= iTargetLevel) {

					// 表示を切り替え
					objHns[i].style.display = strDisplay;

					// [-][+] -> [+]
					if (objHns[i].childNodes[0].nodeName.toLowerCase() == "a") {
						objHns[i].childNodes[0].childNodes[0].src = "../frame_images/l-4.gif";
					}
				} else {
					if (iTargetLevel != 999) {
						break;
					}
					continue;
				}

			// [+] -> [-]がクリックされた場合、下階層のみを表示する
			} else {
				if (parseInt(objHns[i].className.substring(objHns[i].className.length -1)) == iTargetLevel) {

					// 表示を切り替え
					objHns[i].style.display = strDisplay;
					continue;
				} else {
					if (	(iTargetLevel != 999)
						&&	(iTargetLevel > parseInt(objHns[i].className.substring(objHns[i].className.length -1)))
					) {
						break;
					}
					continue;
				}
			}
		}
	}catch(e){
	}
}
/**
 * アニメーション・VIDEO対応
 * ドキュメント内のイラストファイルすべてを対象に検索。
 * resource.jsonファイルの置き換え設定にマッチした場合に、特定のオブジェクト（swf本体や、動画などへのリンク）に置き換える。
 */
function fncReplaceObject(resource)
{
	try{
		// ドキュメント内の画像をすべて取得
		var arrAllImg = document.getElementById('id_contents_show').all.tags('img');
		var strWmvMsg = "";
		var strPdfMsg = "";

		// リンク用文字列をresource.jsonから取得
		for (var nResMsg = 0; nResMsg < resource.length; nResMsg++) {
			if (resource[nResMsg].id == 'wmv') {
				strWmvMsg = resource[nResMsg].msg;

			} else if (resource[nResMsg].id == 'pdf') {
				strPdfMsg = resource[nResMsg].msg;
			}

			// メッセージが取得できたら、ループを中止する
			if ( (strWmvMsg != "") && (strPdfMsg != "") ) {
				break;
			}
		}

		// モジュール内全画像をチェック
		for (var nImg = arrAllImg.length - 1; nImg >= 0; nImg--) {

			// ファイル名の切り出し
			var arrImgName = arrAllImg[nImg].src.split('/');
			var strImgName = arrImgName[arrImgName.length - 1];

			var objOldNode = arrAllImg[nImg];

			// resource.jsonの中身をチェックする
			for (var nRes = 0; nRes < resource.length; nRes++) {

				if (
					(resource[nRes].replace_img)
					&& (resource[nRes].replace_img == strImgName)
				) {
					// イラストファイル名に対応する設定が存在した場合

					// イラストファイル名と対応する置き換え対象の情報を取得
					var strTargetName = resource[nRes].target_name;
					var arrExtension = strTargetName.split(".");
					var strExtension = arrExtension[arrExtension.length - 1];

					// 初期化
					var strReplaceHtml = '';
					var bReplace = false;

					if (strExtension == 'swf') {

						// FLASH動画の場合

						// サイズ指定
						var strTargetWidth = resource[nRes].width;
						if (  (!strTargetWidth) || (strTargetWidth == "") ) {
							// 指定なしの場合はデフォルト値として下記を指定する
							var strTargetWidth = "630";
						}

						var strTargetHeight = resource[nRes].height;
						if ( (!strTargetHeight) || (strTargetHeight == "") ) {
							// 指定なしの場合はデフォルト値として下記を指定する
							var strTargetHeight = "360";
						}

						// 置き換え対象イラストの親DIVのクラス名（段落スタイルに相当）を消す
						objOldNode.parentNode.className = "";
						// DIVスタイルを上書き設定（中央揃え）
						objOldNode.parentNode.style.textAlign = "center";

						// FLASH表示用のObjectタグを生成
						strReplaceHtml = '<object type="application/x-shockwave-flash" width="' + strTargetWidth + '" height="' + strTargetHeight + '" data="' + strTargetName + '" ><param name="movie" value="' + strTargetName + '"></object>';
						bReplace = true;

					} else if (strExtension == 'wmv') {

						// WMV動画の場合

						// DIVスタイルを設定（基本の段落スタイル（Bodyを指定）、中央揃え）
						objOldNode.parentNode.className = "Body";
						objOldNode.parentNode.style.textAlign = "center";
						strReplaceHtml = '<a href="' + strTargetName + '" style="text-decoration:underline">' + strWmvMsg + '</a>';
						bReplace = true;

					} else if (strExtension == 'pdf') {

						// PDFの場合

						// DIVスタイルを設定（基本の段落スタイル（Bodyを指定）、左揃え）
						objOldNode.parentNode.className = "Body";
						objOldNode.parentNode.style.textAlign = "left";
						strReplaceHtml = '<a href="' + strTargetName + '" target="_blank">' + strPdfMsg + '</a>';
						bReplace = true;
					}

					if (bReplace) {

						var objNewNode = document.createElement('div');
						objNewNode.innerHTML = strReplaceHtml;

						// 置き替え処理
						objOldNode.parentNode.replaceChild(objNewNode , objOldNode);
					}
				}// if
			}// for Resource
		}// for Img
	}catch(e){
		alert(e.description);
	}
}